QJournalProtocolProtos.JournalIdProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, interface: JournalIdProtoOrBuilder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.JournalIdProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QJournalProtocolProtos.JournalIdProto`, `QJournalProtocolProtos.JournalIdProto.Builder`

Enclosing class:
  QJournalProtocolProtos

public static interface QJournalProtocolProtos.JournalIdProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIdentifier()`
  `required string identifier = 1;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getIdentifierBytes()`
  `required string identifier = 1;`
  `boolean`
  `hasIdentifier()`
  `required string identifier = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasIdentifier

    boolean hasIdentifier()
    `required string identifier = 1;`
    Returns:
      Whether the identifier field is set.

  - ### getIdentifier

    String getIdentifier()
    `required string identifier = 1;`
    Returns:
      The identifier.

  - ### getIdentifierBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getIdentifierBytes()
    `required string identifier = 1;`
    Returns:
      The bytes for identifier.